%             phiNbodyKep.m
% To advance the 5 outer planes (Jupiter to Pluto) along
% a time step h with pure Kepler maps
function [qs,ps] = phiNbodyKep(q,p,h)
% masses of the planets
ma=[];
ma = [0.000954786104043, 0.000285583733151, 0.0000437273164546,...
      0.0000517759138449, 1/(1.3*1.e8) ];
G=2.95912208286*1.e-4;    m0=1.00000597682;
mui=G*m0*ma.^2;

for i=1:5;
   qs(:,i) = q(:,i) + h*p(:,i)/ma(i);
end
ps=p;
     
