%             phiNbodyV.m
% Map for the perturbation in the N-body problem
function [q,p] = phiNbodyV(q0,p0,h)

% masses of the planets
ma=[];
ma = [0.000954786104043, 0.000285583733151, 0.0000437273164546,...
      0.0000517759138449, 1/(1.3*1.e8) ];
G=2.95912208286*1.e-4;    m0=1.00000597682;

for i=1:5;
    gV=zeros(3,5);
    for j=1:5;
        if i ~= j
           no3=norm(q0(:,i)-q0(:,j))^3;
           gV(:,i)=gV(:,i)+ma(j)*(q0(:,i)-q0(:,j))/no3;
        else
           no3=norm(q0(:,i))^3;
           gV(:,i)=gV(:,i)+m0*q0(:,i)/no3;
        end
    end
    p(:,i) = p0(:,i) - h*G*ma(i)*gV(:,i);
end
q=q0;

